アカウントの支払い
GET https://syncky.com/api/payments/
curl --request GET \
--url 'https://syncky.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://syncky.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| processor | オプション 文字列 | 許可された値: paypal , stripe , offline_payment , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut |
| status | オプション 文字列 | 許可された値: paid , pending , cancelled , refunded |
| type | オプション 文字列 | 許可された値: one_time , recurring |
| frequency | オプション 文字列 | 許可された値: monthly , quarterly , biannual , annual , lifetime |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:id , datetime , total_amount。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10 , 25 , 50 , 100 , 250 , 500 , 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-04-16 07:32:23",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://syncky.com/api/payments?page=1",
"last": "https://syncky.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://syncky.com/api/payments?page=1"
}
}
GET https://syncky.com/api/payments/{payment_id}
curl --request GET \
--url 'https://syncky.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://syncky.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-04-16 07:32:23",
}
}